> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify an opportunity

> Resolves the visitor, then records the opportunity.



## OpenAPI

````yaml /openapi.json post /v1/api/opportunity
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/opportunity:
    post:
      tags:
        - Authmatech Target
      summary: Identify an opportunity
      description: Resolves the visitor, then records the opportunity.
      operationId: opportunity
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpportunityBody'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    OpportunityBody:
      type: object
      properties:
        authmatechCode:
          type: string
          minLength: 1
        metadataId:
          type: string
    Response:
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````